---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Параметры ответа
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/issues/response-fields.md
  - https://yandex.ru/support/tracker/ru/api-ref/issues/response-fields.md
  - href: en/api-ref/issues/response-fields.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt


# Response parameters

This page lists the standard issue parameters that are available by default in Tracker, as well as describes the standard objects that an issue can contain.

{% note info "" %}

In addition to standard parameters, an issue can contain:
- Global custom fields created in your organization.
- Local fields specific to a particular queue.

{% endnote %}

When retrieving information about an issue, the API returns the following fields:

#|
|| **Parameter** | **Description** | **Data type** ||
|| [access](#access) | Array of objects with information about users listed in the **Access** field | Array of objects ||
|| affectedVersions | Versions listed in the **Affected versions** field | JSON array ||
|| aliases | Array with information about alternative issue keys | Array of strings ||
|| [assignee](#user) | Object with information about the issue assignee | Object ||
|| [attachments](#attachments) | List of attached files. Displayed in the response if the `expand=attachments` query parameter is specified | Array of objects ||
|| [boards](#boards) | Array of objects with information about the issue boards where the issue is located | Array of objects ||
|| checklistDone | Number of completed checklist items | Number ||
|| [checklistItems](#checklist) | Array of objects with information about checklist items | Array of objects ||
|| checklistTotal | Number of checklist items | Number ||
|| [comments](#comments) | Issue comments. Displayed in the response if the `expand=comments` query parameter is specified | Array of objects ||
|| commentWithExternalMessageCount | Number of comments with external messages | Integer ||
|| commentWithoutExternalMessageCount | Number of comments without external messages | Integer ||
|| [components](#components) | Array of objects with information about queue components that the issue belongs to | Array of objects ||
|| createdAt | Issue creation date and time in the format `YYYY-MM-DDThh:mm:ss.sss±hhmm` | String ||
|| [createdBy](#user) | Object with information about the issue author | Object ||
|| deadline | Issue deadline in the format `YYYY-MM-DD` | Date ||
|| description | Issue description | String ||
|| emailCc | CC recipients of the email from which the issue was created | Array of strings ||
|| emailCreatedBy | Sender address on behalf of which the email was created | String ||
|| emailFrom | Sender address of the email from which the issue was created | String ||
|| emailTo | Recipient addresses of the email from which the issue was created | Array of strings ||
|| end | Issue completion date in the format `YYYY-MM-DD` | Date ||
|| [epic](#issue) | Epic that the issue belongs to | Object ||
|| estimation | Estimate in work days, hours, or minutes. Format: `<number><unit>`, for example `1d`, `2h`, `30m` | String ||
|| favorite | Favorite issue indicator:
- `true`: The user added the issue to favorites
- `false`: The issue is not added to favorites | Boolean ||
|| [fixVersions](#fixVersions) | Versions listed in the **Fix versions** field | JSON array ||
|| [followers](#user) | Array of objects with information about issue followers | Array of objects ||
|| followingMaillists | Array of objects with information about mailing lists — teams and departments subscribed to the issue | Array of objects ||
|| id | Issue identifier | String ||
|| key | Issue key | String ||
|| lastCommentUpdatedAt | Date and time of the last added comment in the format `YYYY-MM-DDThh:mm:ss.sss±hhmm` | String ||
|| [lastQueue](#queue) | Queue from which the issue was moved | Object ||
|| [linkedGoals](#goal) | Primary linked goal | Object ||
|| [links](#link) | List of linked issues. Displayed in the response if the `expand=links` query parameter is specified | Array of objects ||
|| originalEstimation | Original estimate in work days, hours, or minutes. Format: `<number><unit>`, for example `1d`, `2h`, `30m` | String ||
|| [parent](#issue) | Object with information about the parent issue | Object ||
|| [pendingReplyFrom](#user) | Array of objects with information about employees whose reply is pending | Array of objects ||
|| [previousQueue](#queue) | Queue from which the issue was moved | Object ||
|| [previousStatus](#status) | Object with information about the previous issue status | Object ||
|| [priority](#priority) | Object with information about the priority | Object ||
|| [project](#project) | Object with information about the issue projects | Object ||
|| [qaEngineer](#user) | Object with information about the QA engineer | Object ||
|| [queue](#queue) | Object with information about the issue queue | Object ||
|| [receivedReplyFor](#user) | Object with information about the user for whom a reply was received | Object ||
|| [resolution](#resolution) | Object with information about the issue resolution | Object ||
|| resolvedAt | Date and time when the issue was moved to the **Resolved** status in the format `YYYY-MM-DDThh:mm:ss.sss±hhmm` | String ||
|| [resolvedBy](#user) | Object with information about the employee who moved the issue to the **Resolved** status | Object ||
|| self | Address of the API resource containing information about the issue | String ||
|| [sla](#sla) | Information about SLA rules | Array of objects ||
|| spent | Value of the **Time spent** parameter | String ||
|| [sprint](#sprint) | Array of objects with information about the sprint | Array of objects ||
|| start | Issue start date in the format `YYYY-MM-DD` | Date ||
|| [status](#status) | Object with information about the issue status | Object ||
|| statusStartTime | Date and time of the last issue status change in the format `YYYY-MM-DDThh:mm:ss.sss±hhmm` | String ||
|| [statusType](#statusType) | Issue status type | Object ||
|| storyPoints | Issue estimate in story points | Number ||
|| summary | Issue summary | String ||
|| tags | Issue tags | Array of strings ||
|| [transitions](#status) | List of available transitions to other statuses. Displayed in the response if the `expand=transitions` query parameter is specified | Array of objects ||
|| [type](#type) | Object with information about the issue type | Object ||
|| unique | Optional field whose value must be unique within Tracker organization. You can use such a value to prevent creating duplicate issues, for example using a trigger. If you try to create an issue with the same parameter value again, no duplicate will be created and the response will contain an error with code 409 | String ||
|| updatedAt | Date and time of the last issue change in the format `YYYY-MM-DDThh:mm:ss.sss±hhmm` | String ||
|| [updatedBy](#user) | Object with information about the last employee who changed the issue | Object ||
|| version | Issue version. Each change of issue parameters increments the version number. <br>Issue editing will be blocked if the version reaches the limit: for robots `10100`, for users `11100`. | Number ||
|| [votedBy](#user) |Array with identifiers or logins of users who voted for the issue | Array of objects ||
|| [voters](#user) | Users who voted for the issue | Array of objects ||
|| votes | Number of votes for the issue | Number ||
|#

## Objects in issue parameters

**Objects** with user data {#user}

The `assignee`, `createdBy`, `updatedBy`, `followers`, `resolvedBy`, `pendingReplyFrom`, and `voters` parameters contain information about users.

<!-- source: en/api-ref/_includes/user.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the user | String |
| id | User ID. | String |
| display | Displayed user name | String |
| passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
| cloudUid | Unique user ID in Yandex Identity Hub | String |
<!-- endsource: en/api-ref/_includes/user.md -->

<!-- source: en/api-ref/_includes/type.md -->
`type` **object fields** {#type}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the issue type. | String |
| id | Issue type ID | String |
| key | Issue type key. | String |
| display | Issue type name displayed. | String |
<!-- endsource: en/api-ref/_includes/type.md -->

<!-- source: en/api-ref/_includes/priority.md -->
`priority` **object fields** {#priority}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the priority. | String |
| id | Priority ID | String |
| key | Priority key. | String |
| display | Priority name displayed. | String |
<!-- endsource: en/api-ref/_includes/priority.md -->

**Fields of the `status` object** {#status}

The `status` and `previousStatus` parameters contain information about the issue status.

<!-- source: en/api-ref/_includes/status.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the status. | String |
| id | Status ID. | String |
| key | Status key. | String |
| display | Status name displayed. | String |
<!-- endsource: en/api-ref/_includes/status.md -->

**Fields of the `queue` object** {#queue}

The `queue` parameter contains information about the issue queue.

<!-- source: en/api-ref/_includes/queue.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the queue. | String |
| id | Queue ID. | String |
| key | Queue key. | String |
| display | Queue name displayed. | String |
<!-- endsource: en/api-ref/_includes/queue.md -->

**Fields of objects `parent`, `epic`, `object`** {#issue}

The object contains information about an issue.

<!-- source: en/api-ref/_includes/issue.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the issue. | String |
| id | Issue ID. | String |
| key | Issue key. | String |
| display | Issue name displayed. | String |
<!-- endsource: en/api-ref/_includes/issue.md -->

**Fields of objects in the `links` array** {#link}

The `links` parameter contains information about issue links.

<!-- source: en/api-ref/_includes/issue-links.md -->
#|
|| Parameter | Description | Data type ||
|| self | Address of the API resource that contains information about the link | String ||
|| id | Link ID | Number ||
|| [type](#link-type) | Block with link type information | Object ||
|| direction | Type of relationship of the issue specified in the request relative to the issue in the `object` field. Possible values:
* `outward` — the issue specified in the request is primary for the issue in the `object` field;
* `inward` — the issue in the `object` field is primary for the issue specified in the request | String ||
|| [object](#issue) | Block with linked issue information | Object ||
|| [createdBy](#user) | Block with link creator information | Object ||
|| [updatedBy](#user) | Block with information about the last user who modified the linked issue | Object ||
|| createdAt | Date and time the link was created | String ||
|| updatedAt | Date and time the link was modified | String ||
|| [assignee](#user) | Assignee of the linked issue | Object ||
|| [status](#status) | Status of the linked issue | Object ||
|#
<!-- endsource: en/api-ref/_includes/issue-links.md -->

**Fields of the `type` object** {#link-type}

The `type` parameter in the `links` array object contains information about the link type.

<!-- source: en/api-ref/_includes/issue-links.md -->
Parameter | Description | Data type
----- | ----- | -----
self | Link to the link type. | String
id | Link type ID. | String
inward | Name of the link type for the issue in the [object](#issue) field relative to the issue specified in the request. | String
outward | Name of the link type for the issue specified in the request relative to the issue in the [object](#issue) field. | String
<!-- endsource: en/api-ref/_includes/issue-links.md -->

**Fields of the `project` object** {#project}

The `project` parameter contains information about projects that the issue belongs to.

<!-- source: en/api-ref/_includes/project.md -->
| Parameter | Description | Data type |
-------- | -------- | ----------
| [primary](#project-id) | Main issue project | Object |
| [secondary](#project-id) | List of additional issue projects | Array of objects |

{% note info "" %}

If the request address specifies API `v2`, the `project` object contains information only about the main project.

{% endnote %}
<!-- endsource: en/api-ref/_includes/project.md -->

**Fields of the object containing project data** {#project-id}

The `primary` and `secondary` parameters contain objects with the following fields:

<!-- source: en/api-ref/_includes/project.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the project | String |
| id | Project ID | String |
| display | Project name displayed | String |
<!-- endsource: en/api-ref/_includes/project.md -->

**Fields of the `linkedGoals` object** {#goal}

Parameter | Description | Data type
-------- | -------- | ----------
self | Address of the API resource containing information about the goal | String
id | Goal identifier | String
display | Goal name | String


<!-- source: en/api-ref/_includes/sprint.md -->
`Sprint` **array object fields** {#sprint}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the sprint. | String |
| id | Sprint ID. | String |
| display | Sprint name displayed. | String |
<!-- endsource: en/api-ref/_includes/sprint.md -->

**Fields of the `attachments` object** {#attachments}

The `attachments` parameter contains information about attached files.

Parameter | Description | Data type
----- | ----- | -----
self | Address of the API resource containing information about the file | String
id | File identifier | String
name | File name | String
content | Address for downloading the file | String
thumbnail | Address for downloading the thumbnail (for images) | String
createdBy | Object with information about the user who uploaded the file | Object
createdAt | File upload date and time | String
mimetype | File type | String
size | File size in bytes | Number

**Fields of the `comments` object** {#comments}

The `comments` parameter contains information about issue comments.

Parameter | Description | Data type
----- | ----- | -----
self | Address of the API resource containing information about the comment | String
id | Comment identifier | String
objectId | Comment identifier in hexadecimal format | String
display | Comment text | String

**Fields of the `sla` object** {#sla}

The `sla` parameter contains information about SLA rules.

Parameter | Description | Data type
----- | ----- | -----
self | Address of the API resource | String
id | SLA rule identifier | Number
key | SLA rule key | String
name | SLA rule name | String
status | SLA rule execution status | String

**Fields of the `checklistItems` object** {#checklist}

<!-- source: en/api-ref/_includes/checklist-items.md -->
| Parameter | Description | Data type |
----- | ----- | -----
| id | Сhecklist item ID. | String |
| text | Text of the checklist item. | String |
| textHtml | Text of the checklist item in HTML format. | String |
| checked | Checklist item completion flag:<ul><li>`true`: Item marked as completed.</li><li>`false`: Item not marked as completed.</li></ul> | Boolean |
| assignee | Assignee of the checklist item. | Map object |
| [deadline](#deadline-checklist) | Deadline for the checklist item. | Map object |
| checklistItemType | Type of the checklist item. | String |
<!-- endsource: en/api-ref/_includes/checklist-items.md -->

**Fields of the `access` object** {#access}

The `access` parameter contains information about issue access rights.

Parameter | Description | Data type
----- | ----- | -----
self | Address of the API resource | String
id | User or group identifier | String
display | Display name | String

**Fields of the `boards` object** {#boards}

Parameter | Description | Data type
----- | ----- | -----
id | Board identifier | String
name | Board name | String

**Fields of the `fixVersions` object** {#fixVersions}

Parameter | Description | Data type
----- | ----- | -----
self | Address of the API resource containing information about the version | String
id | Version identifier. | String
display | Version name | String

**Fields of the `components` object** {#components}

The `components` parameter contains information about queue components.

Parameter | Description | Data type
----- | ----- | -----
self | Address of the API resource containing information about the component | String
id | Component identifier | Number
display | Component display name | String

**Fields of the `resolution` object** {#resolution}

The `resolution` parameter contains information about the issue resolution.

Parameter | Description | Data type
----- | ----- | -----
self | Address of the API resource containing information about the resolution | String
id | Resolution identifier | Number
key | Resolution key | String
display | Resolution display name | String

<!-- source: en/api-ref/_includes/type.md -->
`type` **object fields** {#type}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the issue type. | String |
| id | Issue type ID | String |
| key | Issue type key. | String |
| display | Issue type name displayed. | String |
<!-- endsource: en/api-ref/_includes/type.md -->

**Fields of the `statusType` object** {#statusType}

Parameter | Description | Data type
----- | ----- | -----
id | Status type identifier | Number
display | Status display name | String
key | Technical status key (for example, "inProgress", "open", "resolved", "paused") | String

